Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

# Class Document

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_002_01.Document

public class Document extends Object

Java class for Document complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Document">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="pain.008.001.01" type="{urn:swift:xsd:$pain.008.002.01}pain.008.001.01"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Pain00800101`
`pain00800101`

## Constructor Summary

Constructors
Constructor
Description
`Document()`

## Method Summary

Modifier and Type
Method
Description
`Pain00800101`
`getPain00800101()`
Gets the value of the pain00800101 property.
`void`
`setPain00800101(Pain00800101 value)`
Sets the value of the pain00800101 property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pain00800101

protected Pain00800101 pain00800101

## Constructor Details

### Document

public Document()

## Method Details

### getPain00800101

public Pain00800101 getPain00800101()
Gets the value of the pain00800101 property.

Returns:
  possible object is `Pain00800101`

### setPain00800101

public void setPain00800101(Pain00800101 value)
Sets the value of the pain00800101 property.

Parameters:
  `value` - allowed object is `Pain00800101`